Eval runs
List a suite's eval cases
Every case in the suite, in the public steps-first shape.
GET
/
projects
/
{projectId}
/
eval-suites
/
{suiteId}
/
cases
List a suite's eval cases
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/eval-suites/{suiteId}/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"title": "<string>",
"steps": [
{
"id": "<string>",
"prompt": "<string>",
"serverName": "<string>",
"toolName": "<string>",
"arguments": {},
"action": {},
"assertion": {}
}
],
"iterations": 5,
"isNegative": true,
"models": [
{
"model": "<string>",
"provider": "<string>"
}
],
"expectedOutput": "<string>",
"scenario": "<string>",
"matchOptions": {},
"checks": {
"list": [
{}
]
},
"createdAt": 123,
"updatedAt": 123
}
],
"nextCursor": "<string>"
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Eval suite ID, as returned by POST /eval-runs.
Was this page helpful?
⌘I
List a suite's eval cases

